package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.core.util.TimeUtil;
import com.slodon.b2b2c.statistics.pojo.PlatformDay;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装会员分析-会员报表(按天)Vo对象
 * @author wuxy
 */
@Data
public class PlatformMemberReportVO {

    @ApiModelProperty("统计时间")
    private String statsTime;

    @ApiModelProperty("新增会员数")
    private Integer newMemberNum;

    @ApiModelProperty("储值会员数")
    private Integer rechargeMemberNum;

    @ApiModelProperty("下单人数")
    private Integer orderSubmitMemberNum;

    @ApiModelProperty("支付人数")
    private Integer orderPayMemberNum;

    public PlatformMemberReportVO(PlatformDay platformDay) {
        this.statsTime = TimeUtil.getZDDay(platformDay.getStatsTime());
        this.newMemberNum = platformDay.getNewMemberNum();
        this.rechargeMemberNum = platformDay.getRechargeMemberNum();
        this.orderSubmitMemberNum = platformDay.getOrderSubmitMemberNum();
        this.orderPayMemberNum = platformDay.getOrderPayMemberNum();
    }

}
